<?php

namespace MRU\Revslider\Domain\Helper;


use TYPO3\CMS\Core\SingletonInterface;
use TYPO3\CMS\Core\Utility\VersionNumberUtility;

class Proxy implements SingletonInterface
{

    public function setProxyConstants()
    {

        if (VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version) >= 7000000) {
            if ($GLOBALS['TYPO3_CONF_VARS']['HTTP'] && $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy']) {
                /** @var array $proxyConf */
                $proxyConf = parse_url($GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy']);

                if (is_array($proxyConf)) {

                    if ($proxyConf['host'])
                        define('PROXY_HOST', $proxyConf['host']);

                    if ($proxyConf['port'])
                        define('PROXY_PORT', $proxyConf['port']);

                    if ($proxyConf['user'])
                        define('PROXY_USER', $proxyConf['user']);

                    if ($proxyConf['pass'])
                        define('PROXY_PASS', $proxyConf['pass']);

                }
            }
        } else {
            if($GLOBALS['TYPO3_CONF_VARS']['HTTP'] && $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_host'])
                define('PROXY_HOST', $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_host']);

            if($GLOBALS['TYPO3_CONF_VARS']['HTTP'] && $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_port'])
                define('PROXY_PORT', $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_port']);

            if($GLOBALS['TYPO3_CONF_VARS']['HTTP'] && $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_user'])
                define('PROXY_USER', $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_user']);

            if($GLOBALS['TYPO3_CONF_VARS']['HTTP'] && $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_password'])
                define('PROXY_PASS', $GLOBALS['TYPO3_CONF_VARS']['HTTP']['proxy_password']);

        }
    }
}
