<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Manfred Rutschmann <manfred@rutschmann.biz>, Rutschmann.BIZ
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}


\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'MRU.' . $_EXTKEY,
    'Pi1',
    array(
        'Slider' => 'show',
    ),
    // non-cacheable actions
    array()
);


if (\TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version) >= 7000000) {

    /** @var \TYPO3\CMS\Core\Imaging\IconRegistry $iconRegistry */
    $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
    $iconRegistry->registerIcon(
        'tx-revslider-plugin-pi1',
        \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
        ['source' => 'EXT:revslider/ext_icon-7.png']
    );


    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        '
		mod.wizards.newContentElement.wizardItems {
			plugins {
				elements {
					revslider_pi1 {
						title = SLIDER REVOLUTION
						description = Insert the slider revolution plugin to show a selected slider
						iconIdentifier = tx-revslider-plugin-pi1
						tt_content_defValues {
							CType = list
							list_type = revslider_pi1
						}
					}
				}
			}
		}

	');
} else {
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        '
		mod.wizards.newContentElement.wizardItems {
			plugins {
				elements {
					revslider_pi1 {
						title = SLIDER REVOLUTION
						description = Insert the slider revolution plugin to show a selected slider
						icon = '.\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY).'ext_icon.gif
						tt_content_defValues {
							CType = list
							list_type = revslider_pi1
						}
					}
				}
			}
		}

	');

}
