
CREATE TABLE tx_revslider_domain_model_css (
  id int(9) NOT NULL auto_increment,
  handle text NOT NULL,
  settings LONGTEXT DEFAULT NULL,
  hover longtext DEFAULT NULL,
  params text NOT NULL,
  advanced longtext DEFAULT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_layer_animations (
  id int(9) NOT NULL auto_increment,
  handle text NOT NULL,
  params text NOT NULL,
  settings text NOT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_navigations (
  id int(9) NOT NULL auto_increment,
  name varchar(191) DEFAULT '' NOT NULL,
  handle varchar(191) DEFAULT '' NOT NULL,
  css mediumtext NOT NULL,
  markup mediumtext NOT NULL,
  settings mediumtext NOT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_sliders (
  uid int(11) DEFAULT '0' NOT NULL,
  pid int(11) DEFAULT '0' NOT NULL,
  id int(9) NOT NULL auto_increment,
  title tinytext NOT NULL,
  alias tinytext NOT NULL,
  params longtext NOT NULL,
  settings text NOT NULL,
  type varchar(191) DEFAULT '' NOT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_slides (
  uid int(11) DEFAULT '0' NOT NULL,
  pid int(11) DEFAULT '0' NOT NULL,
  id int(9) DEFAULT 0 NOT NULL auto_increment,
  slider_id int(9) DEFAULT 0 NOT NULL,
  slide_order int(11) DEFAULT 0 NOT NULL,
  params longtext NOT NULL,
  layers longtext NOT NULL,
  settings text NOT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_static_slides (
  id int(9) NOT NULL auto_increment,
  slider_id int(9) DEFAULT '0' NOT NULL,
  params longtext NOT NULL,
  layers longtext NOT NULL,
  settings text NOT NULL,
  UNIQUE KEY id (id)
);


CREATE TABLE tx_revslider_domain_model_user (
  uid int(11) DEFAULT '0' NOT NULL,
  pid int(11) DEFAULT '0' NOT NULL,
  id int(11) unsigned NOT NULL auto_increment,
  join_date timestamp NULL,
  last_visit timestamp NULL,
  username varchar(50) DEFAULT '' NOT NULL,
  password varchar(255) DEFAULT '' NOT NULL,
  email varchar(120) DEFAULT '' NOT NULL,
  salt varchar(50) DEFAULT '' NOT NULL,
  PRIMARY KEY (id),
  UNIQUE KEY username (username)
);


CREATE TABLE tx_revslider_domain_model_options (
  uid int(11) DEFAULT '0' NOT NULL,
  pid int(11) DEFAULT '0' NOT NULL,
  id int(9) NOT NULL auto_increment,
  handle varchar(100) DEFAULT '' NOT NULL,
  'option' LONGTEXT DEFAULT NULL,
  PRIMARY KEY (id)
);


CREATE TABLE tx_revslider_domain_model_images (
  id int(11) NOT NULL auto_increment,
  url varchar(250) DEFAULT '' NOT NULL,
  PRIMARY KEY (id)
);


CREATE TABLE tx_revslider_domain_model_transients (
  id int(9) NOT NULL auto_increment,
  handle varchar(200) DEFAULT '' NOT NULL,
  expires timestamp NULL,
  value longtext NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE tx_revslider_domain_model_sessions (
	session_id varchar(40) DEFAULT '0' NOT NULL,
	ip_address varchar(45) DEFAULT '0' NOT NULL,
	user_agent varchar(120) DEFAULT '' NOT NULL,
	last_activity int(10) unsigned DEFAULT '0' NOT NULL,
	user_data mediumtext NOT NULL,
	PRIMARY KEY (session_id),
	KEY last_activity_idx (last_activity)
);


CREATE TABLE tx_revslider_domain_model_revslider_backup_slides (
  id int(9) NOT NULL auto_increment,
  slide_id int(9) DEFAULT 0 NOT NULL,
  slider_id int(9) DEFAULT 0 NOT NULL,
  slide_order int(11) DEFAULT 0 NOT NULL,
  params longtext NOT NULL,
  layers longtext NOT NULL,
  settings text NOT NULL,
  created datetime NOT NULL,
  session varchar(100) NOT NULL,
  static varchar(20) NOT NULL,
  UNIQUE KEY id (id)
);